clang 8.0.0

Public Member Functions | Public Attributes | List of all members
clang::VerifyDiagnosticConsumer::ExpectedData Struct Reference

ExpectedData - owns directive objects and deletes on destructor. More...

`#include "clang/Frontend/VerifyDiagnosticConsumer.h"`

Collaboration diagram for clang::VerifyDiagnosticConsumer::ExpectedData:
[legend]

## Public Member Functions
void | Reset ()

## Public Attributes
DirectiveList | Errors
DirectiveList | Warnings
DirectiveList | Remarks
DirectiveList | Notes

## Detailed Description

ExpectedData - owns directive objects and deletes on destructor.

Definition at line 195 of file VerifyDiagnosticConsumer.h.

## Member Function Documentation

## ◆ Reset()

void clang::VerifyDiagnosticConsumer::ExpectedData::Reset | ( |  | ) |
| inline

Definition at line 201 of file VerifyDiagnosticConsumer.h.

## Member Data Documentation

## ◆ Errors

DirectiveList clang::VerifyDiagnosticConsumer::ExpectedData::Errors

Definition at line 196 of file VerifyDiagnosticConsumer.h.

Referenced by CheckResults().

## ◆ Notes

DirectiveList clang::VerifyDiagnosticConsumer::ExpectedData::Notes

Definition at line 199 of file VerifyDiagnosticConsumer.h.

Referenced by CheckResults().

## ◆ Remarks

DirectiveList clang::VerifyDiagnosticConsumer::ExpectedData::Remarks

Definition at line 198 of file VerifyDiagnosticConsumer.h.

Referenced by CheckResults().

## ◆ Warnings

DirectiveList clang::VerifyDiagnosticConsumer::ExpectedData::Warnings

Definition at line 197 of file VerifyDiagnosticConsumer.h.

Referenced by CheckResults().

The documentation for this struct was generated from the following file:

- include/clang/Frontend/VerifyDiagnosticConsumer.h